### Function

# Dex file_make_directory

#### Declaration [src]

    DexFuture*
    dex_file_make_directory (
      GFile* file,
      int io_priority
    )

#### Description [src]

Asynchronously creates a directory and returns `DexFuture` which can be observed for the result.

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.

`io_priority`

  Type: `int`

  IO priority such as `G_PRIORITY_DEFAULT`.

#### Return value

Type: `DexFuture`

A `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.